package com.ruoyi.generator.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.domain.CommunityChatMsg;
import com.ruoyi.system.service.ICommunityChatMsgService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 聊天记录
 *
 * @author fangzhen
 */
@Api(tags = "聊天记录")
@RestController
@RequestMapping("/community/chat")
public class CommunityChatMsgController extends BaseController {

    @Resource
    private ICommunityChatMsgService communityChatMsgService;

    /**
     * 获取当前登录用户聊天记录
     */
    @ApiOperation("获取当前登录用户聊天记录")
    @GetMapping()
    public AjaxResult chatRecord(Long otherUserId) {
        Long userId = SecurityUtils.getUserId();
        List<CommunityChatMsg> chatMsgList = communityChatMsgService.list(new QueryWrapper<CommunityChatMsg>()
                .eq("sender_id", userId)
                .eq("receiver_id", otherUserId)
                .or()
                .eq("sender_id", otherUserId)
                .eq("receiver_id", userId)
                .orderByDesc("create_time"));
        return AjaxResult.success(chatMsgList);
    }
}